# foundry-vtt

![Version: 1.1.0](https://img.shields.io/badge/Version-1.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 10.291](https://img.shields.io/badge/AppVersion-10.291-informational?style=flat-square)

Foundry Virtual Tabletop

**Homepage:** <https://foundryvtt.com/>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |
| MaHaHe DevOps | devops@mahahe.it | https://www.mahahe.it/ |

## Source Code

* <https://github.com/halkeye-helm-charts/foundry-vtt/tree/main>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| container.cache | string | `"/data/container_cache"` |  |
| container.preserveConfig | bool | `false` |  |
| container.timezone | string | `"UTC"` |  |
| container.verbose | bool | `false` |  |
| dnsConfig | object | `{}` |  |
| foundryvtt.adminPassword | string | `""` |  |
| foundryvtt.existingLicenseType | string | `"account"` |  |
| foundryvtt.existingSecret | string | `""` |  |
| foundryvtt.hostname | string | `"foundry.domain.com"` |  |
| foundryvtt.language | string | `"en.core"` |  |
| foundryvtt.licenseKey | string | `""` |  |
| foundryvtt.minifyStaticFiles | bool | `true` |  |
| foundryvtt.password | string | `""` |  |
| foundryvtt.proxySSL | bool | `true` |  |
| foundryvtt.s3.config.accessKey | string | `""` |  |
| foundryvtt.s3.config.endpoint | string | `""` |  |
| foundryvtt.s3.config.region | string | `""` |  |
| foundryvtt.s3.config.secretKey | string | `""` |  |
| foundryvtt.s3.enabled | bool | `false` |  |
| foundryvtt.s3.existingSecret | string | `""` |  |
| foundryvtt.upnp | bool | `false` |  |
| foundryvtt.username | string | `""` |  |
| foundryvtt.version | string | `"{{ .Chart.AppVersion }}"` |  |
| foundryvtt.world | string | `""` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"felddy/foundryvtt"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.configurationSnippet | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hostname | string | `"foundry.domain.com"` |  |
| ingress.path | string | `"/"` |  |
| ingress.pathType | string | `"Prefix"` |  |
| ingress.tls | bool | `false` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.enabled | bool | `true` |  |
| persistence.existingClaim | string | `""` |  |
| persistence.readAccessModes[0] | string | `"ReadWriteOnce"` |  |
| persistence.size | string | `"8Gi"` |  |
| persistence.storageClass | string | `""` |  |
| podSecurityContext | object | `{}` |  |
| resources.limits.cpu | string | `"1000m"` |  |
| resources.limits.memory | string | `"1024Mi"` |  |
| resources.requests.cpu | string | `"500m"` |  |
| resources.requests.memory | string | `"512Mi"` |  |
| securityContext | object | `{}` |  |
| service.annotations | object | `{}` |  |
| service.externalTrafficPolicy | string | `"Local"` |  |
| service.labels | object | `{}` |  |
| service.loadBalancerIP | string | `nil` |  |
| service.loadBalancerSourceRanges | list | `[]` |  |
| service.port | int | `80` |  |
| service.protocol | string | `"TCP"` |  |
| service.serviceType | string | `"ClusterIP"` |  |
| service.tls | bool | `true` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `false` |  |
| serviceAccount.name | string | `nil` |  |
| threadCount | string | `"6"` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
